import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'room' },
})
export class Room extends BaseModel {
  @prop({ required: false, index: true, zh: '顾客', ref: 'User' })
  customer: string;
  @prop({ required: false, index: true, zh: '店铺', ref: 'Shop' })
  shop: string;
  @prop({ required: false, index: false, zh: '最后发言', ref: 'ChatRecord' })
  last_chat: string;
}
