import { ApiProperty } from '@midwayjs/swagger';
import { Rule, RuleType } from '@midwayjs/validate';

export class SendMsgDTO {
  @ApiProperty({ description: '接收人' })
  @Rule(RuleType['string']().required())
  'recevier': string = undefined;
  @ApiProperty({ description: '消息类型' })
  @Rule(RuleType['string']().required())
  'type': string = undefined;
}
